VkSamplerCreateInfo Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkSamplerCreateFlags | flags
VkFilter | magFilter
VkFilter | minFilter
VkSamplerMipmapMode | mipmapMode
VkSamplerAddressMode | addressModeU
VkSamplerAddressMode | addressModeV
VkSamplerAddressMode | addressModeW
float | mipLodBias
VkBool32 | anisotropyEnable
float | maxAnisotropy
VkBool32 | compareEnable
VkCompareOp | compareOp
float | minLod
float | maxLod
VkBorderColor | borderColor
VkBool32 | unnormalizedCoordinates

## Detailed Description

Definition at line 2510 of file vulkan_core.h.

## Field Documentation

## addressModeU

VkSamplerAddressMode VkSamplerCreateInfo::addressModeU

Definition at line 2517 of file vulkan_core.h.

## addressModeV

VkSamplerAddressMode VkSamplerCreateInfo::addressModeV

Definition at line 2518 of file vulkan_core.h.

## addressModeW

VkSamplerAddressMode VkSamplerCreateInfo::addressModeW

Definition at line 2519 of file vulkan_core.h.

## anisotropyEnable

VkBool32 VkSamplerCreateInfo::anisotropyEnable

Definition at line 2521 of file vulkan_core.h.

## borderColor

VkBorderColor VkSamplerCreateInfo::borderColor

Definition at line 2527 of file vulkan_core.h.

## compareEnable

VkBool32 VkSamplerCreateInfo::compareEnable

Definition at line 2523 of file vulkan_core.h.

## compareOp

VkCompareOp VkSamplerCreateInfo::compareOp

Definition at line 2524 of file vulkan_core.h.

## flags

VkSamplerCreateFlags VkSamplerCreateInfo::flags

Definition at line 2513 of file vulkan_core.h.

## magFilter

VkFilter VkSamplerCreateInfo::magFilter

Definition at line 2514 of file vulkan_core.h.

## maxAnisotropy

float VkSamplerCreateInfo::maxAnisotropy

Definition at line 2522 of file vulkan_core.h.

## maxLod

float VkSamplerCreateInfo::maxLod

Definition at line 2526 of file vulkan_core.h.

## minFilter

VkFilter VkSamplerCreateInfo::minFilter

Definition at line 2515 of file vulkan_core.h.

## minLod

float VkSamplerCreateInfo::minLod

Definition at line 2525 of file vulkan_core.h.

## mipLodBias

float VkSamplerCreateInfo::mipLodBias

Definition at line 2520 of file vulkan_core.h.

## mipmapMode

VkSamplerMipmapMode VkSamplerCreateInfo::mipmapMode

Definition at line 2516 of file vulkan_core.h.

## pNext

const void* VkSamplerCreateInfo::pNext

Definition at line 2512 of file vulkan_core.h.

## sType

VkStructureType VkSamplerCreateInfo::sType

Definition at line 2511 of file vulkan_core.h.

## unnormalizedCoordinates

VkBool32 VkSamplerCreateInfo::unnormalizedCoordinates

Definition at line 2528 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h